---
apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app.kubernetes.io/component: puppetserver-init
    app.kubernetes.io/instance: puppetserver
    app.kubernetes.io/name: puppetserver
    app.kubernetes.io/version: 8.8.0
  name: puppetserver-init-config
  namespace: puppet
data:
  PUPPET_DATA_DIR: "/etc/puppetlabs/code/environments"
  PUPPET_SSL_DIR: "/etc/puppetlabs/puppet/ssl/certs"
  PUPPETSERVER_JAVA_ARGS: "-Xms1024m -Xmx3072m -Dcom.sun.management.jmxremote.port=31000 -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false"
